<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 * INCLUDE config.php
 */
require_once('webapp/config.php');


/**
 * INCLUDE init.php
 */
require_once('webapp/init.php');


/**
 * 画像ファイルの出力
 */
// エラー出力の抑制
ini_set('display_errors', false);

// URLの取得
$url = $_GET['url'];
if (!$url || !is_string($url))
{
    exit();
}

// サムネイル画像ファイル名称・拡張子の設定
$thumbnail     = POCKET_SBS_THUMBNAIL_DIR . rawurlencode($url) . '.' . POCKET_SBS_THUMBNAIL_EXT;
$thumbnail_ext = POCKET_SBS_THUMBNAIL_EXT;

// サムネイル画像ファイルの存在チェック
if (!is_readable($thumbnail))
{
    // サムネイル画像ファイル名称・拡張子の変更
    $thumbnail     = BASE_DIR . '../images/no-image.gif';
    $thumbnail_ext = 'gif';
}

// ヘッダーの出力
header('Content-type: image/' . $thumbnail_ext);

// サムネイル画像ファイルの読込み＆出力
@readfile($thumbnail);

exit();

?>
