<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  ユーザ情報削除用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSbs.admin.do
 */
class userDeleteAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $user_id = $request['user_id'];

        // ユーザの削除
        db_delete_user($user_id);

        // メッセージの作成
        $params = array('msg' => 'ユーザを削除しました。');

        // リダイレクト
        pocket_redirect('user.view', $params);
    }
}

?>
