<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  簡単ログイン設定画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.mobile.view
 */
class easyLoginSettingAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        /**
         *  メイン情報の取得、設定
         */
        // ユーザ情報の取得
        $user = db_get_user($_SESSION['user_id']);

        // 簡単ログイン設定状態の設定
        $this->assign('is_registered', !empty($user['easy_login_id']));

        /**
         *  基本情報の設定
         */
        // ページタイトル
        $this->assign('page_title', '簡単ログイン設定');

        // メッセージの設定
        $this->assign('message', $request['msg']);

        return POCKET_ACTION_SUCCESS;
    }
}

?>
