{include file="incHtmlHeader.tpl" block_type="2"}

<body>
<div id="container">

{include file="incBlockHeader.tpl"}

<div id="container-main">

<div class="left">

{* 左サイドメニュー *}
{include file="incSideBlockLeft.tpl" block_type="user"}

</div><!-- end left -->

{* ここから：本文 *}
<div class="center">
<br />

<div class="table-title">
<h2>ブックマークを編集する</h2>
</div><!-- end table-title -->
<div class="table-body">

{* エラーメッセージ *}
{include file="incErrorMessage.tpl"}

<form action="./" method="post">
<div>
<input type="hidden" name="a" value="bookmarkUpdate.do" />
<input type="hidden" name="target_user_id" value="{$target_user_id}" />
<input type="hidden" name="bookmark_id" value="{$bookmark.bookmark_id}" />
<input type="hidden" name="url_id" value="{$bookmark.url_id}" />
<input type="hidden" name="referer" value="{$referer}" />
</div>
<table cellpadding="1" cellspacing="0" border="0" width="100%">
<tr>
<td colspan="2">タイトル&nbsp;[*]：</td>
</tr>
<tr>
<td colspan="2"><input type="text" name="subject" value="{$bookmark.subject}" style="width: 550px;" /></td>
</tr>
<tr>
<td colspan="2">URL&nbsp;[*]：</td>
</tr>
<tr>
<td colspan="2"><input type="text" name="url" value="{$bookmark.url}" style="width: 550px;" /></td>
</tr>
<tr>
<td colspan="2">説明：</td>
</tr>
<tr>
<td colspan="2"><input type="text" name="explanation" value="{$bookmark.explanation}" style="width: 550px;" /></td>
</tr>
<tr>
<td colspan="2">タグ：&nbsp;&nbsp;※スペース区切りで入力してください</td>
</tr>
<tr>
<td colspan="2"><input type="text" name="tags" id="tags" value="{$bookmark.tags}" style="width: 550px;" /></td>
</tr>
<tr>
<td class="form-label-s">公開状態&nbsp;[*]：</td>
<td style="line-height:20px;">
<input type="radio" class="radio" name="open_type" value="2"{if $bookmark.open_type == 2} checked="checked"{/if} />&nbsp;外部公開&nbsp;
<input type="radio" class="radio" name="open_type" value="1"{if $bookmark.open_type == 1} checked="checked"{/if} />&nbsp;内部公開&nbsp;
<input type="radio" class="radio" name="open_type" value="0"{if $bookmark.open_type == 0} checked="checked"{/if} />&nbsp;非公開
</td>
</tr>
{if $my_tags_list}
<tr>
<td colspan="2"><br />Myタグ：</td>
</tr>
<tr>
<td colspan="2">
{foreach from=$my_tags_list item=item}
<a href="#" onclick="psb_addTag('tags', '{$item.tag}')" title="{$item.count}件のブックマーク" class="tag">{$item.tag}</a>
{/foreach}
</td>
</tr>
{/if}
{if $url_tags_list}
<tr>
<td colspan="2"><br />URLタグ：</td>
</tr>
<tr>
<td colspan="2">
{foreach from=$url_tags_list item=item}
<a href="#" onclick="psb_addTag('tags', '{$item}')" class="tag">{$item}</a>
{/foreach}
</td>
</tr>
{/if}
<tr>
<td colspan="2"><input type="submit" class="submit" value="編集" /></td>
</tr>
</table>
</form>
</div><!-- end table-body -->
<div class="table-foot">
</div><!-- end table-foot -->
<br />

<div class="table-title">
<h2>ブックマークを削除する</h2>
</div><!-- end table-title -->
<div class="table-body">
<form action="./" method="post">
<div>
<input type="hidden" name="a" value="bookmarkDeleteConfirm.view" />
<input type="hidden" name="target_user_id" value="{$target_user_id}" />
<input type="hidden" name="bookmark_id" value="{$bookmark.bookmark_id}" />
<input type="hidden" name="referer" value="{$referer}" />
</div>
<table cellpadding="1" cellspacing="0" border="0" width="100%">
<tr>
<td><input type="submit" class="submit" value="削除" /></td>
</tr>
</table>
</form>
</div><!-- end table-body -->
<div class="table-foot">
</div><!-- end table-foot -->
<br />

</div><!-- end center -->
{* ここまで：本文 *}

<div class="clear"></div>

</div><!-- end container-main -->

{include file="incBlockFooter.tpl"}

</div><!-- end container -->

</body>
</html>
