<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  セットアップTOP画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.setup.view
 */
class defaultAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        /**
         *  メイン情報の取得、設定
         */
        // DSNのDB種別
        $this->assign('dsn_phptype', $GLOBALS['_POCKET_DSN']['phptype']);

        // 検証エラーデータの復元
        if (!$this->isValid())
        {
            $this->assign('mysql_type' , $request['mysql_type']);
            $this->assign('id'         , $request['id']);
            $this->assign('email'      , $request['email']);
            $this->assign('sbs_name'   , $request['SBS_NAME']);
            $this->assign('nickname'   , $request['nickname']);
        }

        /**
         *  基本情報の設定
         */
        // ページタイトル
        $this->assign('page_title', 'セットアップトップページ');

        return POCKET_ACTION_SUCCESS;
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return false;
    }
}

?>
