﻿/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

// ----- FUNCTION -----
/**
 *  ダイアログウィンドウをオープンする
 *
 *  @param  string  $url            URL
 *  @param  string  $width          ウィンドウの横幅
 *  @param  string  $height         ウィンドウの高さ
 */
function psb_openDialog(url, width, height)
{
    var option="location=0,status=0,scrollbars=1,resizable=0,top=0,left=0";
    var win;
    var width;
    var height;
    option=option+",width="+width+",height="+height;
    win=window.open(url,'time_dialog',option);
    win.moveTo(0,0);
    win.focus();
    return win;
}

/**
 *  タグ情報を追加する
 *
 *  @param  string  $id             オブジェクトID
 *  @param  string  $tag            タグ
 */
function psb_addTag(id, tag)
{
    if (document.getElementById(id).value.length > 1) document.getElementById(id).value += ' ';
    document.getElementById(id).value += tag;
}
