<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  ^ONEhz̐
 *
 *  @access public
 *  @param  array   $tags             ^Oz
 */
function psb_makeTagCloud($tags = array())
{
    // tHgTCY̍őAŏ̐ݒ
    $max_size = 200;
    $min_size = 100;

    if ($tags)
    {
        foreach ($tags as $tag)
        {
            $buff_tags[$tag['tag']] = $tag['count'];
        }

        // 擾ꂽ^OJEg̍őAŏ擾
        $max_count = max(array_values($buff_tags));
        $min_count = min(array_values($buff_tags));

        // őAŏ̍擾
        $count_range = $max_count - $min_count;
        if (!$count_range) $count_range = 1;

        // 1Â̃TCYԊu߂
        $size_step = ($max_size - $min_size) / $count_range;

        $output_tags = array();
        foreach ($buff_tags as $key => $value)
        {
            // zɐݒ
            array_push($output_tags,
                array('tag'   => $key,
                      'count' => $value,
                      'size'  => $min_size + (($value - $min_count) * $size_step) . '%'));
        }
    }
    return $output_tags;
}

/**
 *  ubN}[NGNX|[g̃wb_[o
 *
 *  @access public
 *  @param  array   $file_extension   t@Cgq
 */
function psb_putBookmarkHeader($file_extension)
{
    // t@Ĉ̐ݒ
    $file_name = 'bookmarks.' . $file_extension;

    // t@ĈURLGR[h
    $file_name = pocket_urlencode4file_name($file_name);

    // o
    header('Content-Type: application/octet-stream;charset=shift_jis');
    header('Content-Disposition: attachment; filename=' . $file_name);
}

/**
 *  ubN}[NGNX|[g̈s̕o
 *
 *  @access public
 *  @param  array   $line          ubN}[N1s̕
 */
function psb_putBookmarkLine($line)
{
    // o
    print($line . "\r\n");
}

/**
 *  ubN}[NGNX|[g̈s̕GR[hďo
 *
 *  @access public
 *  @param  array   $line          ubN}[N1s̕
 */
function psb_putBookmarkEncodingLine($line)
{
    // o
    print(mb_convert_encoding($line . "\r\n", "SJIS", "UTF-8"));
}

/**
 *  ubN}[Ñt@CiHTM`jGNX|[g
 *
 *  @access public
 *  @param  array   $bookmarks          ubN}[N
 */
function psb_putHtmBookmark($bookmarks = array())
{
    // wb_[̏o
    psb_putBookmarkHeader('htm');

    psb_putBookmarkEncodingLine('<!DOCTYPE NETSCAPE-Bookmark-file-1>');
    psb_putBookmarkEncodingLine('<TITLE>Bookmarks</TITLE>');
    psb_putBookmarkEncodingLine('<H1>Bookmarks</H1>');
    psb_putBookmarkEncodingLine('<DL><p>');

    // ubN}[Nꗗ̏o
    foreach ($bookmarks as $key => $bookmark)
    {
        psb_putBookmarkEncodingLine('<DT><A HREF="' . $bookmark['url'] . '" ADD_DATE="" LAST_VISIT="" LAST_MODIFIED="">' . $bookmark['subject'] . '</A>');
    }

    psb_putBookmarkEncodingLine('</DL><p>');
}

/**
 *  ubN}[Ñt@CiADR`jGNX|[g
 *
 *  @access public
 *  @param  array   $target_user_id     [UID
 */
function psb_putAdrBookmark($bookmarks = array())
{
    // wb_[̏o
    psb_putBookmarkHeader('adr');

    psb_putBookmarkLine('Opera Hotlist version 2.0');
    psb_putBookmarkLine('Options: encoding = utf8, version=3');
    psb_putBookmarkLine('');
    psb_putBookmarkLine('#FOLDER');
    psb_putBookmarkLine("\t". 'ID=11');
    psb_putBookmarkLine("\t". 'NAME=--Bookmarks Import Data--');
    psb_putBookmarkLine('');

    // ubN}[Nꗗ̏o
    foreach ($bookmarks as $key => $bookmark)
    {
        psb_putBookmarkLine('#URL');
        psb_putBookmarkLine("\t". 'NAME=' . $bookmark['subject']);
        psb_putBookmarkLine("\t". 'URL=' . $bookmark['url']);
        if ($bookmark['explanation'])
            psb_putBookmarkLine("\t". 'DESCRIPTION=' . $bookmark['explanation']);
    }
}

?>
