<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  ブックマーク情報削除用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSbs.admin.do
 */
class bookmarkDeleteAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $url_id = $request['url_id'];

        // ブックマーク情報の削除
        db_delete_bookmark4url_id($url_id);

        // メッセージの作成
        $params = array('msg' => 'ブックマークを削除しました。');

        // リダイレクト
        pocket_redirect('bookmark.view', $params);
    }
}

?>
