<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  ログアウト処理用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSbs.admin.do
 */
class logoutAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // セッション情報の破棄
        $_SESSION = array();
        // セッションの破棄
        session_destroy();

        // リダイレクト
        pocket_redirect('default.view');
    }
}

?>
