{include file="incHtmlHeader.tpl" block_type="2"}

<body>
<div id="container">

{include file="incBlockHeader.tpl"}

<div id="container-main">

<div class="left">

{* 左サイドメニュー *}
{include file="incSideBlockLeft.tpl" block_type="user"}

</div><!-- end left -->

{* ここから：本文 *}
<div class="center">
<br />

<div class="contents-title">
<h1>{$user.nickname}&nbsp;さんのブックマーク</h1>
</div><!-- end contents-title -->
<br />

{* ここから：ページャー *}
<div class="pager">
{if $page_count > 1}
{if $is_prev_page}<a href="?m=pc&amp;a=bookmarkList.view&amp;target_user_id={$target_user_id}&amp;search_type={$search_type}&amp;keyword={$keyword|string_escape:'url'}&amp;page={$page-1}">前のページ</a>{/if}
&nbsp;{$hit_count}件中{$start_data_no}～{$end_data_no}件表示&nbsp;
{if $is_next_page}<a href="?m=pc&amp;a=bookmarkList.view&amp;target_user_id={$target_user_id}&amp;search_type={$search_type}&amp;keyword={$keyword|string_escape:'url'}&amp;page={$page+1}">次のページ</a>{/if}
{/if}
</div><!-- end pager -->
{* ここまで：ページャー *}


{foreach from=$bookmarks item=item name=bookmarks}
<div class="table-title">
<h2><a class="title" href="{$item.url}"{if $user_profile.target_blank} target="_blank"{/if}>{$item.subject}</a></h2>
</div><!-- end table-title -->
<div class="table-head">
</div><!-- end table-head -->
<div class="table-body">

{if $smarty.const.POCKET_SBS_THUMBNAIL && (!$is_maintenance || !$user_profile.simple_indication)}
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
<td class="t" width="115px">
<a href="{$item.url}"><img src="./thumbnail.php?url={$item.url|string_escape:'url'}" alt="{$item.subject}" title="{$item.subject}" class="thumbnail" /></a>
</td>
<td class="t">
{/if}

{* ここから：本来はヘッダー *}
<div class="r">
{if $item.open_type == 0}<div class="fd_caution fs_s">非公開</div>{/if}
{if $item.open_type == 1}<div class="fd_caution_g fs_s">内部公開</div>{/if}
</div>
{* ここまで：本来はヘッダー *}

{if !$is_maintenance || !$user_profile.simple_indication}
{$item.explanation}
{/if}

{if !$is_maintenance || !$user_profile.simple_indication}
<table cellpadding="1" cellspacing="0" border="0" width="100%">
<tr>
<td class="t l" style="width: 40px;">[&nbsp;URL&nbsp;]</td>
<td class="t l">
{foreach from=$item.url item=url name=url}
<a href="?m=pc&amp;a=bookmarkList.view&amp;target_user_id={$target_user_id}&amp;search_type=url&amp;keyword={$url|string_escape:'url'}" class="url">{$url|mb_truncate:60:'..'}</a>
{/foreach}
</td>
</tr>
</table>
{if $item.tags_list}
<table cellpadding="1" cellspacing="0" border="0" width="100%">
<tr>
<td class="t l" style="width: 40px;">[&nbsp;タグ&nbsp;]</td>
<td class="t l">
{foreach from=$item.tags_list item=tag name=tags_list}
<a href="?m=pc&amp;a=bookmarkList.view&amp;target_user_id={$target_user_id}&amp;search_type=tag&amp;keyword={$tag|string_escape:'url'}" class="tag">{$tag}</a>
{/foreach}
</td>
</tr>
</table>
{/if}
{/if}

{* ここから：本来はフッター *}
<div class="r">
{if !$is_maintenance || !$user_profile.simple_indication}
at&nbsp;{$item.r_datetime|date_format:"%Y/%m/%d %H:%M"}<br />
<a href="?m=pc&amp;a=userList.view&amp;url_id={$item.url_id}">ユーザ</a>（{$item.user_count}）
{/if}
{if $is_maintenance}
&nbsp;<a href="?m=pc&amp;a=bookmarkEdit.view&amp;target_user_id={$target_user_id}&amp;bookmark_id={$item.bookmark_id}">編集</a>
&nbsp;<a href="?m=pc&amp;a=bookmarkDeleteConfirm.view&amp;target_user_id={$target_user_id}&amp;bookmark_id={$item.bookmark_id}">削除</a>
{else}
{if $is_auth}
&nbsp;<a href="?m=pc&amp;a=bookmarkEntry.view&amp;target_user_id={$user_profile.user_id}&amp;bookmark_id={$item.bookmark_id}">追加</a>
{/if}
{/if}
</div>
{* ここまで：本来はフッター *}

{if $smarty.const.POCKET_SBS_THUMBNAIL && (!$is_maintenance || !$user_profile.simple_indication)}
</td>
</tr>
</table>
{/if}

</div><!-- end table-body -->
<div class="table-foot">
</div><!-- end table-foot -->

{if !$smarty.foreach.bookmarks.last}
<br />
{/if}
{foreachelse}
ブックマークはありません。
{/foreach}

{* ここから：ページャー *}
<div class="pager">
{if $page_count > 1}
{if $is_prev_page}<a href="?m=pc&amp;a=bookmarkList.view&amp;target_user_id={$target_user_id}&amp;search_type={$search_type}&amp;keyword={$keyword|string_escape:'url'}&amp;page={$page-1}">前のページ</a>{/if}
&nbsp;{$hit_count}件中{$start_data_no}～{$end_data_no}件表示&nbsp;
{if $is_next_page}<a href="?m=pc&amp;a=bookmarkList.view&amp;target_user_id={$target_user_id}&amp;search_type={$search_type}&amp;keyword={$keyword|string_escape:'url'}&amp;page={$page+1}">次のページ</a>{/if}
{/if}
</div><!-- end pager -->
{* ここまで：ページャー *}
<br />

</div><!-- end center -->
{* ここまで：本文 *}

<div class="clear"></div>

</div><!-- end container-main -->

{include file="incBlockFooter.tpl"}

</div><!-- end container -->

</body>
</html>
